<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.hotent</groupId>
	<artifactId>eip</artifactId>
	<version>8.0.7</version>
	<packaging>pom</packaging>
	<name>eip</name>
	<description>Hotent EIP</description>

	<modules>
		<module>base</module>
		<module>uc</module>
		<module>portal</module>
		<module>assembly</module>
        <module>auth-server</module>
		<module>assistMg</module>
    </modules>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<java.version>1.8</java.version>
		<spring.boot.version>2.2.6.RELEASE</spring.boot.version>
		<spring-cloud.version>Hoxton.SR3</spring-cloud.version>
		<spring-cloud-netflix.version>2.2.2.RELEASE</spring-cloud-netflix.version>
		<springfox.version>2.9.2</springfox.version>
		<swagger2-base.version>1.5.21</swagger2-base.version>
		<spring-ldap.version>2.3.2.RELEASE</spring-ldap.version>
		<mybatis-plus.version>3.3.1</mybatis-plus.version>
		<dynamic-datasource.version>3.0.0</dynamic-datasource.version>
		<pagehelper.version>1.2.4</pagehelper.version>
		<druid.version>1.2.4</druid.version>
		<oracle-driver.version>11.2.0.2</oracle-driver.version>
		<oracle-ojdbc-driver.version>19.7.0.0.0</oracle-ojdbc-driver.version>
		<postgresql.version>42.2.14</postgresql.version>
		<mssql-driver.version>8.2.2.jre8</mssql-driver.version>
		<jjwt.version>0.9.0</jjwt.version>
		<commons-lang.version>2.6</commons-lang.version>
		<zip4j.version>1.3.1</zip4j.version>
		<pingyin.version>2.5.0</pingyin.version>
		<poi.version>4.1.2</poi.version>
		<poi-excelant.version>4.1.2</poi-excelant.version>
		<commons-io.version>2.6</commons-io.version>
		<jsr311-api.version>1.1.1</jsr311-api.version>
		<poi-ooxml.version>4.1.2</poi-ooxml.version>
		<fontbox.version>1.8.4</fontbox.version>
		<poi-scratchpad.version>4.1.2</poi-scratchpad.version>
		<poi-ooxml-schemas.version>4.1.2</poi-ooxml-schemas.version>
		<xdocreport.version>2.0.1</xdocreport.version>
		<axis.version>1.4</axis.version>
		<jaxrpc.version>1.1</jaxrpc.version>
		<commons-discovery.version>0.5</commons-discovery.version>
		<freemarker.version>2.3.28</freemarker.version>
		<groovy-all.version>2.1.6</groovy-all.version>
		<jedis.version>2.9.0</jedis.version>
		<logback.version>1.2.3</logback.version>
		<skywalking.version>8.7.0</skywalking.version>
		<log4j-over-slf4j.version>1.7.26</log4j-over-slf4j.version>
		<dom4j.version>1.6.1</dom4j.version>
		<commons-beanutils.version>1.9.3</commons-beanutils.version>
		<quartz.version>2.2.2</quartz.version>
		<proguard-base-version>6.0.3</proguard-base-version>
		<commons-pool2.version>2.5.0</commons-pool2.version>
		<alibaba-seata.version>2.2.0.RELEASE</alibaba-seata.version>
		<seata.version>1.4.1</seata.version>
		<lombok.version>1.18.12</lombok.version>
		<jsoup.version>1.8.1</jsoup.version>
		<xxl-job-core.version>2.2.0</xxl-job-core.version>
		<nacos.version>2.2.1.RELEASE</nacos.version>
		<alibaba-sentinel.version>2.2.1.RELEASE</alibaba-sentinel.version>

		<spring-batch-core.version>3.0.8.RELEASE</spring-batch-core.version>
		<docx4j.version>8.0.0</docx4j.version>
		<poi-tl.version>1.9.0</poi-tl.version>
		<easypoi.version>4.1.0</easypoi.version>
		<asm.version>5.0.4</asm.version>
		<poi-tl.version>1.8.2</poi-tl.version>
		<DmJdbcDriver18.version>8.1.2.192</DmJdbcDriver18.version>
		<htmlcompressor.version>1.5.2</htmlcompressor.version>
		<hutool.version>5.5.1</hutool.version>
		<auth.version>1.0.2</auth.version>
		<license4eip.version>1.0.1</license4eip.version>
		<org.redisson.version>3.9.1</org.redisson.version>
	</properties>

	<!-- 定义全局依赖供子模块使用 -->
	<dependencyManagement>
		<dependencies>
			<!-- redisson -->
			<dependency>
				<groupId>org.redisson</groupId>
				<artifactId>redisson-spring-boot-starter</artifactId>
				<version>${org.redisson.version}</version>
				<scope>compile</scope>
			</dependency>
			<!-- jna -->
			<dependency>
				<groupId>net.java.dev.jna</groupId>
				<artifactId>jna</artifactId>
				<version>5.4.0</version>
			</dependency>
			<!-- spring boot -->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring.boot.version}</version>
				<scope>import</scope>
				<type>pom</type>
			</dependency>
			<!-- spring cloud -->
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!-- cloud netflix -->
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-netflix</artifactId>
				<version>${spring-cloud-netflix.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--lombok -->
			<dependency>
				<groupId>org.projectlombok</groupId>
				<artifactId>lombok</artifactId>
				<version>${lombok.version}</version>
				<optional>true</optional>
			</dependency>
			<!-- Swagger 2 -->
			<dependency>
				<groupId>io.springfox</groupId>
				<artifactId>springfox-swagger2</artifactId>
				<version>${springfox.version}</version>
			</dependency>
			<dependency>
				<groupId>io.swagger</groupId>
				<artifactId>swagger-annotations</artifactId>
				<version>${swagger2-base.version}</version>
			</dependency>
			<dependency>
				<groupId>io.swagger</groupId>
				<artifactId>swagger-models</artifactId>
				<version>${swagger2-base.version}</version>
			</dependency>
			<!--Mybatis-Plus依赖 -->
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>mybatis-plus-boot-starter</artifactId>
				<version>3.4.0</version>
			</dependency>
			<dependency>
		      <groupId>com.baomidou</groupId>
		      <artifactId>mybatis-plus</artifactId>
		      <version>${mybatis-plus.version}</version>
		      <scope>compile</scope>
		    </dependency>
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>dynamic-datasource-spring-boot-starter</artifactId>
				<version>${dynamic-datasource.version}</version>
			</dependency>
			<dependency>
				<groupId>com.baomidou</groupId>
				<artifactId>mybatis-plus-generator</artifactId>
				<version>${mybatis-plus.version}</version>
			</dependency>
			<!-- Oracle 连接驱动 -->
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>oracledriver</artifactId>
				<version>${oracle-driver.version}</version>
			</dependency>
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>ojdbc8</artifactId>
				<version>${oracle-ojdbc-driver.version}</version>
			</dependency>
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>orai18n</artifactId>
				<version>${oracle-ojdbc-driver.version}</version>
			</dependency>
			<!-- SQLServer 连接驱动 -->
			<dependency>
				<groupId>com.microsoft.sqlserver</groupId>
				<artifactId>mssql-jdbc</artifactId>
				<version>${mssql-driver.version}</version>
			</dependency>
			<!-- postgreSQL 连接驱动 -->
			<dependency>
			    <groupId>org.postgresql</groupId>
			    <artifactId>postgresql</artifactId>
			    <version>${postgresql.version}</version>
			</dependency>
			<!-- 数据库连接池 -->
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid-spring-boot-starter</artifactId>
				<version>${druid.version}</version>
			</dependency>
			<!-- json web token -->
			<dependency>
				<groupId>io.jsonwebtoken</groupId>
				<artifactId>jjwt</artifactId>
				<version>${jjwt.version}</version>
			</dependency>
			<!-- commons lang -->
			<dependency>
				<groupId>commons-lang</groupId>
				<artifactId>commons-lang</artifactId>
				<version>${commons-lang.version}</version>
			</dependency>
			<!-- commons-beanutils -->
			<dependency>
				<groupId>commons-beanutils</groupId>
				<artifactId>commons-beanutils</artifactId>
				<version>${commons-beanutils.version}</version>
			</dependency>
			<!-- zip4j -->
			<dependency>
				<groupId>net.lingala.zip4j</groupId>
				<artifactId>zip4j</artifactId>
				<version>${zip4j.version}</version>
			</dependency>
			<!-- ad同步 -->
			<dependency>
				<groupId>org.springframework.ldap</groupId>
				<artifactId>spring-ldap-core</artifactId>
				<version>${spring-ldap.version}</version>
			</dependency>
			<!-- pinyin4j -->
			<dependency>
				<groupId>com.belerweb</groupId>
				<artifactId>pinyin4j</artifactId>
				<version>${pingyin.version}</version>
			</dependency>
			<!-- org.apache.poi -->
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi</artifactId>
				<version>${poi.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi-excelant</artifactId>
				<version>${poi-excelant.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.pdfbox</groupId>
				<artifactId>fontbox</artifactId>
				<version>${fontbox.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi-ooxml</artifactId>
				<version>${poi-ooxml.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi-ooxml-schemas</artifactId>
				<version>${poi-ooxml-schemas.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi-scratchpad</artifactId>
				<version>${poi-scratchpad.version}</version>
			</dependency>
			<dependency>
				<groupId>fr.opensagres.xdocreport</groupId>
	            <artifactId>xdocreport</artifactId>
				<version>${xdocreport.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>${commons-io.version}</version>
			</dependency>
			<!-- Jsr311 Api -->
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>jsr311-api</artifactId>
				<version>${jsr311-api.version}</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/org.apache.axis/axis -->
			<dependency>
				<groupId>org.apache.axis</groupId>
				<artifactId>axis</artifactId>
				<version>${axis.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.xml</groupId>
				<artifactId>jaxrpc</artifactId>
				<version>${jaxrpc.version}</version>
			</dependency>
			<!-- https://mvnrepository.com/artifact/commons-discovery/commons-discovery -->
			<dependency>
				<groupId>commons-discovery</groupId>
				<artifactId>commons-discovery</artifactId>
				<version>${commons-discovery.version}</version>
			</dependency>
			<!-- freemarker -->
			<dependency>
				<groupId>org.freemarker</groupId>
				<artifactId>freemarker</artifactId>
				<version>${freemarker.version}</version>
			</dependency>
			<!-- groovy -->
			<dependency>
				<groupId>org.codehaus.groovy</groupId>
				<artifactId>groovy-all</artifactId>
				<version>${groovy-all.version}</version>
			</dependency>
			<!-- jedis -->
			<dependency>
				<groupId>redis.clients</groupId>
				<artifactId>jedis</artifactId>
				<version>${jedis.version}</version>
			</dependency>
			<!-- quartz -->
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>${quartz.version}</version>
			</dependency>
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz-jobs</artifactId>
				<version>${quartz.version}</version>
			</dependency>
			<!-- dom4j -->
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>${dom4j.version}</version>
			</dependency>
			<!-- quartz -->
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>${quartz.version}</version>
			</dependency>
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz-jobs</artifactId>
				<version>${quartz.version}</version>
			</dependency>
			<dependency>
				<groupId>net.sf.proguard</groupId>
				<artifactId>proguard-base</artifactId>
				<version>${proguard-base-version}</version>
			</dependency>
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>log4j-over-slf4j</artifactId>
				<version>${log4j-over-slf4j.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-pool2</artifactId>
				<version>${commons-pool2.version}</version>
			</dependency>
			<!-- seata 引入最新版本的seata-spring-boot-starter -->
			<dependency>
				<groupId>com.alibaba.cloud</groupId>
				<artifactId>spring-cloud-alibaba-seata</artifactId>
				<version>${alibaba-seata.version}</version>
				<exclusions>
					<exclusion>
						<groupId>io.seata</groupId>
	            		<artifactId>seata-spring-boot-starter</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
	            <groupId>io.seata</groupId>
	            <artifactId>seata-spring-boot-starter</artifactId>
	            <version>${seata.version}</version>
	        </dependency>
			<!-- HTML解析 -->
			<dependency>
				<groupId>org.jsoup</groupId>
				<artifactId>jsoup</artifactId>
				<version>${jsoup.version}</version>
			</dependency>

			<!-- xxl-job-core -->
	        <dependency>
	            <groupId>com.xuxueli</groupId>
	            <artifactId>xxl-job-core</artifactId>
	            <version>${xxl-job-core.version}</version>
	        </dependency>

	        <!-- nacos 注册中心 -->
	        <dependency>
			    <groupId>com.alibaba.cloud</groupId>
			    <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
			    <version>${nacos.version}</version>
			</dependency>
			<!-- nacos 配置中心 -->
			<dependency>
			    <groupId>com.alibaba.cloud</groupId>
			    <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
			    <version>${nacos.version}</version>
			</dependency>
			<dependency>
	            <groupId>org.springframework.cloud</groupId>
	            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
	            <version>${alibaba-sentinel.version}</version>
	        </dependency>

			<!-- sentinel-datasource-nacos 限流保护 -->
			<dependency>
			    <groupId>com.alibaba.csp</groupId>
			    <artifactId>sentinel-datasource-nacos</artifactId>
			    <version>${sentinel-datasource-nacos.version}</version>
			</dependency>

			<!-- easypoi -->
			<dependency>
	            <groupId>cn.afterturn</groupId>
	            <artifactId>easypoi-base</artifactId>
	            <version>${easypoi.version}</version>
	        </dependency>
	        <dependency>
	            <groupId>cn.afterturn</groupId>
	            <artifactId>easypoi-web</artifactId>
	            <version>${easypoi.version}</version>
	        </dependency>
	        <dependency>
	            <groupId>cn.afterturn</groupId>
	            <artifactId>easypoi-annotation</artifactId>
	            <version>${easypoi.version}</version>
	        </dependency>
	        <dependency>
				<groupId>org.ow2.asm</groupId>
				<artifactId>asm</artifactId>
				<version>${asm.version}</version>
			</dependency>
			<dependency>
				<groupId>com.hotent</groupId>
				<artifactId>bo</artifactId>
				<version>${parent.version}</version>
				<exclusions>
					<exclusion>
						<groupId>com.hotent</groupId>
						<artifactId>uc-api-impl</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<!-- 批处理 jdk8 , spring4.0+ -->
			<!-- https://mvnrepository.com/artifact/org.springframework.batch/spring-batch-core -->
			<dependency>
			    <groupId>org.springframework.batch</groupId>
			    <artifactId>spring-batch-core</artifactId>
			    <version>${spring-batch-core.version}</version>
			</dependency>
			<!-- word套打 -->
			<dependency>
				<groupId>com.deepoove</groupId>
				<artifactId>poi-tl</artifactId>
				<version>${poi-tl.version}</version>
			</dependency>
			<!-- html转docx -->
			<dependency>
			    <groupId>org.docx4j</groupId>
			    <artifactId>docx4j-ImportXHTML</artifactId>
			    <version>${docx4j.version}</version>
			    <exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>slf4j-log4j12</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<!-- https://mvnrepository.com/artifact/com.dameng/Dm7JdbcDriver17 -->
			<!--达梦数据库驱动包-->
			<dependency>
				<groupId>com.dameng</groupId>
				<artifactId>DmJdbcDriver18</artifactId>
				<version>${DmJdbcDriver18.version}</version>
			</dependency>

			<!-- https://mvnrepository.com/artifact/com.googlecode.htmlcompressor/htmlcompressor -->
			<dependency>
			    <groupId>com.googlecode.htmlcompressor</groupId>
			    <artifactId>htmlcompressor</artifactId>
			    <version>${htmlcompressor.version}</version>
			</dependency>
			<dependency>
				<groupId>cn.hutool</groupId>
				<artifactId>hutool-all</artifactId>
				<version>${hutool.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
				</configuration>
			</plugin>
			<!-- 解决maven test命令时console出现中文乱码的问题 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.7.2</version>
				<configuration>
					<skip>true</skip>
					<argLine>-Dfile.encoding=${project.build.sourceEncoding}</argLine>
				</configuration>
			</plugin>
			<!-- 让配置文件可以读取pom中的信息 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.7</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.shared</groupId>
						<artifactId>maven-filtering</artifactId>
						<version>1.3</version>
					</dependency>
				</dependencies>
				<configuration>
					<nonFilteredFileExtensions>
						<nonFilteredFileExtension>bpmn</nonFilteredFileExtension>
						<nonFilteredFileExtension>ttf</nonFilteredFileExtension>
					</nonFilteredFileExtensions>
					<delimiters>
						<delimiter>@@</delimiter>
					</delimiters>
					<useDefaultDelimiters>false</useDefaultDelimiters>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
